<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from nan_zscore.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="nan_zscore" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>nan_zscore</refname>
    <refpurpose>removes the mean and normalizes the data  to a variance of 1.</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   [z,r,m] = nan_zscore(x,DIM)
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>x :</term>
      <listitem><para> data</para></listitem></varlistentry>
   <varlistentry><term>DIM:</term>
      <listitem><para>    dimension  1 - STATS of columns 2 - STATS of rows default or []- first DIMENSION, with more than 1 element</para></listitem></varlistentry>
   <varlistentry><term>z:</term>
      <listitem><para>   z-score of x along dimension DIM</para></listitem></varlistentry>
   <varlistentry><term>r:</term>
      <listitem><para>   is the inverse of the standard deviation</para></listitem></varlistentry>
   <varlistentry><term>m:</term>
      <listitem><para>   is the mean of x</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
Can be used for Pre-Whitening of the data, too.
   </para>
   <para>
The data x can be reconstrated with
   </para>
   <para>
x = z*diag(1./r) + repmat(m,size(z)./size(m))
   </para>
   <para>
z = x*diag(r) - repmat(m.*v,size(z)./size(m))
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>See also</title>
   <simplelist type="inline">
   <member><link linkend="sumskipnan">sumskipnan</link></member>
   <member><link linkend="nan_mean">nan_mean</link></member>
   <member><link linkend="nan_std">nan_std</link></member>
   <member><link linkend="nan_detrend">nan_detrend</link></member>
   </simplelist>
</refsection>

<refsection>
   <title>Bibliography</title>
   <para>[1] http://mathworld.wolfram.com/z-Score.html</para>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>H. Nahrstaedt</member>
   <member>Copyright (C) 2000-2003,2009 by Alois Schloegl a.schloegl@ieee.org</member>
   </simplelist>
</refsection>
</refentry>
